%define 	modulename	pam_radius
Summary:	PAM module to authenticate using RADIUS server
Summary(pl.UTF-8):	Moduł PAM pozwalający na użycie serwera RADIUS do uwierzytelniania
Name:		pam-%{modulename}_auth
Version:	1.4.0
Release:	1
License:	GPL
Group:		Networking
Source0:	ftp://ftp.freeradius.org/pub/radius/%{modulename}-%{version}.tar.gz
# Source0-md5:	80960fdc9b720677dbb51d17311664a0
URL:		http://www.freeradius.org/pam_radius_auth/
BuildRequires:	pam-devel > 0.77.3-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the PAM to RADIUS authentication module. It allows any
PAM-capable machine to become a RADIUS client for authentication and
accounting requests. You will need a RADIUS server to perform the
actual authentication.

%description -l pl.UTF-8
To jest moduł PAM służący do uwierzytelniania użytkowników względem
serwera RADIUS. Pozwala każdej maszynie korzystającej z PAM zostać
klientem usługi RADIUS w celach uwierzytelniania użytkowników oraz
zbierania statystyk logowań (accounting). Do dokonania samego
uwierzytelnienia niezbędny jest serwer RADIUS.

%prep
%setup -q -n %{modulename}-%{version}

%build
%configure \
	ac_cv_lib_nsl_inet_ntoa=no \
	ac_cv_lib_resolv_inet_aton=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib}/security,%{_sysconfdir}/raddb}

install pam_radius_auth.so $RPM_BUILD_ROOT/%{_lib}/security
cp -p pam_radius_auth.conf $RPM_BUILD_ROOT%{_sysconfdir}/raddb/server

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog LICENSE README.rst TODO USAGE
# dir shared with server package
%dir %{_sysconfdir}/raddb
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/raddb/server
%attr(755,root,root) /%{_lib}/security/pam_radius_auth.so
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pam-pam_radius_auth.git;a=log;h=master

* Tue Mar 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b0076b
- updated to 1.4.0

* Sun May 25 2008 zbyniu <zbyniu@pld-linux.org> 29542eb
- up to 1.3.17

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4958751
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 49f2d24
- converted to UTF-8

* Tue Jan 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 47966da
- pam-static is not needed to build, pam-devel is sufficient

* Tue Jan 04 2005 Jakub Bogusz <qboosh@pld-linux.org> a8fbe28
- fixed PAM module path, use optflags, use gcc to link module

* Mon Jan 03 2005 ankry <ankry@pld-linux.org> 80dff72
- cosmetics

* Sat Jan 01 2005 aredridel <aredridel@pld-linux.org> 15828b7
- builds

* Tue Feb 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 5ee7357
- more unified flexion, cosmetics

* Mon Feb 09 2004 ankry <ankry@pld-linux.org> 23d2d2a
- unified flexion: none

* Fri Feb 06 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 1928a82
- add .conf file to %%doc

* Thu Feb 05 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 18830c8
- initial release

